ImportError: No module named dbm

Fredrik Lundh fredrik at pythonware.com
Fri Oct 14 08:00:37 CEST 2005


mhardas at cs.kent.edu wrote:

> firstly i couldnt find the DBM module for python 2.3.5, trustix system and
> i386 hardware platform.
> so i downloaded gnu dbm for python 2.3.5 and i568( precisly,
> python-gdbm-2.3.5-4tr.i586), simply assuming it could just work.
>
> but trying to install gives me the following error,
>
> error: failed dependencies:
>         python = 2.3.5 is needed by python-gdbm-2.3.5-4tr
>
> I am preety sure its python 2.3.5 tht is installed.

did you install 2.3.5 yourself, or via RPM (or whatever trustix is using) ?

if you built it yourself, the RPM database will not know about it; on the
other hand, all you need to do to fix that is to look for a gdbm package
for trustix, install it, and rebuild Python.

if this isn't enough to get you unstuck, it might be a good idea to check
with some trustix support forum.

</F>






More information about the Python-list mailing list